package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class DataResepElektronik
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "RM_DataResepElektronik_M")
public class DataResepElektronik extends BaseMaster {
	@NotNull(message="NoMR tidak boleh kosong")
	@Column(name = "NoMR", nullable = false, length = 100)
	@Caption(value = "NoMR")
	private String noMR;
	public void setNoMR(String noMR)
	{
		this.noMR = noMR;
	}
	public String getNoMR()
	{
		 return this.noMR;
	}


	@NotNull(message="NamaPasien tidak boleh kosong")
	@Column(name = "NamaPasien", nullable = false, length = 100)
	@Caption(value = "NamaPasien")
	private String namaPasien;
	public void setNamaPasien(String namaPasien)
	{
		this.namaPasien = namaPasien;
	}
	public String getNamaPasien()
	{
		 return this.namaPasien;
	}


	@NotNull(message="JenisKelamin tidak boleh kosong")
	@Column(name = "JenisKelamin", nullable = false, length = 100)
	@Caption(value = "JenisKelamin")
	private String jenisKelamin;
	public void setJenisKelamin(String jenisKelamin)
	{
		this.jenisKelamin = jenisKelamin;
	}
	public String getJenisKelamin()
	{
		 return this.jenisKelamin;
	}


	@NotNull(message="UnitLayanan tidak boleh kosong")
	@Column(name = "UnitLayanan", nullable = false, length = 100)
	@Caption(value = "UnitLayanan")
	private String unitLayanan;
	public void setUnitLayanan(String unitLayanan)
	{
		this.unitLayanan = unitLayanan;
	}
	public String getUnitLayanan()
	{
		 return this.unitLayanan;
	}


	@NotNull(message="Tanggal tidak boleh kosong")
	@Column(name = "Tanggal", nullable = false, length = 100)
	@Caption(value = "Tanggal")
	private String tanggal;
	public void setTanggal(String tanggal)
	{
		this.tanggal = tanggal;
	}
	public String getTanggal()
	{
		 return this.tanggal;
	}


	@NotNull(message="Dokter tidak boleh kosong")
	@Column(name = "Dokter", nullable = false, length = 100)
	@Caption(value = "Dokter")
	private String dokter;
	public void setDokter(String dokter)
	{
		this.dokter = dokter;
	}
	public String getDokter()
	{
		 return this.dokter;
	}


	@NotNull(message="TipePasien tidak boleh kosong")
	@Column(name = "TipePasien", nullable = false, length = 100)
	@Caption(value = "TipePasien")
	private String tipePasien;
	public void setTipePasien(String tipePasien)
	{
		this.tipePasien = tipePasien;
	}
	public String getTipePasien()
	{
		 return this.tipePasien;
	}


	@NotNull(message="StatusResep tidak boleh kosong")
	@Column(name = "StatusResep", nullable = false, length = 100)
	@Caption(value = "StatusResep")
	private String statusResep;
	public void setStatusResep(String statusResep)
	{
		this.statusResep = statusResep;
	}
	public String getStatusResep()
	{
		 return this.statusResep;
	}


	@NotNull(message="Depo tidak boleh kosong")
	@Column(name = "Depo", nullable = false, length = 100)
	@Caption(value = "Depo")
	private String depo;
	public void setDepo(String depo)
	{
		this.depo = depo;
	}
	public String getDepo()
	{
		 return this.depo;
	}


	@NotNull(message="LamaRawat tidak boleh kosong")
	@Column(name = "LamaRawat", nullable = false, length = 100)
	@Caption(value = "LamaRawat")
	private String lamaRawat;
	public void setLamaRawat(String lamaRawat)
	{
		this.lamaRawat = lamaRawat;
	}
	public String getLamaRawat()
	{
		 return this.lamaRawat;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.RM_DataResepElektronik_M")
	@javax.persistence.SequenceGenerator(name = "public.RM_DataResepElektronik_M", sequenceName = "public.RM_DataResepElektronik_M", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

}